SSL_GET_VERSION(3)

NAME
SSL_get_version, SSL_is_dtls - get the protocol information of a connection

SYNOPSIS
 #include <openssl/ssl.h>

 const char *SSL_get_version(const SSL *ssl);

 int SSL_is_dtls(const SSL *ssl);

DESCRIPTION
SSL_get_version() returns the name of the protocol used for the connection ssl. It should only be called after the initial handshake has been completed. Prior to that the results returned from this function may be unreliable.

SSL_is_dtls() returns one if the connection is using DTLS, zero if not.

RETURN VALUES
SSL_get_version() returns one of the following strings:

SSLv3
    The connection uses the SSLv3 protocol.

TLSv1
    The connection uses the TLSv1.0 protocol.

TLSv1.1
    The connection uses the TLSv1.1 protocol.

TLSv1.2
    The connection uses the TLSv1.2 protocol.

unknown
    This indicates an unknown protocol version.

SEE ALSO
ssl(3)

HISTORY
SSL_is_dtls() was added in OpenSSL 1.1.0.

COPYRIGHT
Copyright 2001-2018 The OpenSSL Project Authors. All Rights Reserved.

Licensed under the OpenSSL license (the "License"). You may not use this file except in compliance with the License. You can obtain a copy in the file LICENSE in the source distribution or at <https://www.openssl.org/source/license.html>.